using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Telerik.WinControls.Primitives;
using Telerik.WinControls.UI;

namespace RadComboBoxProject
{
    public partial class Form1 : Form
    {
        List<Customer> customerList;

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // Add a custom item
            RadComboBoxItem itemForNone = new RadComboBoxItem("Choose none", "None");
            radComboBox1.Items.Add(itemForNone);

            // Bind to the generic list
            radComboBox1.DataSource = this.GetCustomerList();
            radComboBox1.DisplayMember = "Name";
            radComboBox1.ValueMember = "Id";

            // Add another custom item
            RadComboBoxItem itemForAll = new RadComboBoxItem("Choose all", "All");
            radComboBox1.Items.Add(itemForAll);
        }
          
        private List<Customer> GetCustomerList() 
        { 
            customerList = new List<Customer>();

            for (int i = 0; i < 6; i++)
            {
                Customer newCustomer = new Customer();
                newCustomer.Id = i;
                newCustomer.Name = "Employee number " + i;
                customerList.Add(newCustomer);
            }

            return customerList;
        }

        private void radComboBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            lblValue.Text = radComboBox1.SelectedValue.ToString();
        }
    }
}